@echo off
set project=HAPLOOSE
goto menu

:url
echo.
rem call url /gofav 5
call url
cd c:\omar\sms\code\haploose
goto menu

:menu
echo ---MEKA--Ŀ
echo  L. Launch Executable  
echo  C. Compile Program    
echo  E. Edit Sources       
rem echo  R. Create Releases    
echo  U. Launch URL         
rem echo  S. Launch Symify      
echo  S. Recompute scroll   
echo  W. Write to cartridge 
echo  Q. Quit               
echo --              -
rem choice /c:LCERUSQ /n
choice /c:LCEUSWQ /n
if errorlevel 7 goto save
if errorlevel 6 goto write
if errorlevel 5 goto scroll
rem if errorlevel 6 goto symify
if errorlevel 4 goto url
rem if errorlevel 4 goto release
if errorlevel 3 goto edit
if errorlevel 2 goto compile
if errorlevel 1 goto run

:run
echo.
rem call meka %PROJECT%.sms /debug
call meka %PROJECT%.sms
goto menu

:compile
echo.
echo Compiling..
call t8 %PROJECT%
goto menu

:scroll
echo dat2asm intro.txt -sms
dat2asm intro.txt -sms > intro.inc
echo dat2asm scroll1.txt -sms
dat2asm scroll1.txt -sms > scroll1.inc
echo dat2asm scroll2.txt -sms
dat2asm scroll2.txt -sms > scroll2.inc
rem pause
rem type intro.inc
rem type scroll1.inc
rem type scroll2.inc
echo.
goto menu

:write
echo.
echo Writing to cartridge..
smswrite %PROJECT%.sms
goto menu

:release
echo.
echo Create [B]inaries or [S]ources package ?
choice /c:bsq /n
if errorlevel 3 goto save
if errorlevel 2 goto rel_src
if errorlevel 1 goto rel_bin
goto release

:rel_bin
echo.
echo Creating REL\ ..
mkdir rel
echo Creating REL\MEKA.ZIP ..
echo -Stripping
call strip meka.exe
echo -Compressing
call upx -9 meka.exe
rem echo -Converting to COFF
rem call exe2coff meka.exe
rem echo -Stripping
rem call strip meka.
rem echo -Merging with DPMI server
rem copy /b skydpmi.exe+meka. meka.exe
rem echo -Deleting temporary file
rem del meka.
echo -Packaging
call pkzip -ex rel\meka meka.blt meka.cfg meka.dat meka.exe meka.inp meka.nam meka.pat meka.thm meka.txt changes.txt compat.txt tech.txt icons.zip
echo -Done
echo .
goto menu

:rel_src
echo.
echo Creating REL\ ..
mkdir rel
echo Creating REL\MEKA-SRC.ZIP ..
call pkzip -ex rel\meka-src.zip *.c *.h *.s *.asm meka.blt meka.dat meka.inp meka.nam meka.pat meka.thm makefile updbuild.c
call pkzip -ex rel\meka-src.zip *.txt todo icons.zip code.bat
call pkzip -ex rel\meka-src.zip skydpmi.exe
call pkzip -ex -P rel\meka-src.zip z80marat\*.*
call pkzip -ex -P rel\meka-src.zip sound\*.h sound\*.c
call pkzip -ex -P rel\meka-src.zip m6502\*.h m6502\*.c
call pkzip -ex -P rel\meka-src.zip zip\*.h zip\*.c
rem call pkzip -ex -P rel\meka-src.zip z80raze\makefile z80raze\*.c z80raze\*.h z80raze\*.inc z80raze\*.asm z80raze\*.reg z80raze\*.txt
echo.
echo *Check MEKA.BLT*
echo *Check MEKA.INP*
echo.
goto menu

:edit
echo.
call box
goto menu

:save
echo.
if not exist %project%.asm goto fin
echo Saving main sources..
copy %project%.sa1 %project%.sa2 >nul
copy %project%.sav %project%.sa1 >nul
copy %project%.asm %project%.sav >nul

:fin
set project=
set game=
echo.
